2

I am unable to browse by cover art in Rhythmbox. Apparently plugin is installed and active but I don't see the left pane option "Browse by cover art"

enter image description here enter image description here

EDIT: I can't install cover browser for some reason:

enter image description here

Thank you

EDIT:

Added log from command line as proposed by comment #2:

(rhythmbox:9231): Gtk-CRITICAL **: gtk_css_provider_load_from_path: assertion 'path != NULL' failed

(rhythmbox:9231): GLib-GObject-CRITICAL **: object SoupServer 0x170e6c0 finalized while still in-construction

(rhythmbox:9231): GLib-GObject-CRITICAL **: Custom constructor for class SoupServer returned NULL (which is invalid). Please use GInitable instead.

(rhythmbox:9231): libpeas-WARNING **: Could not find loader 'python' for plugin 'coverart_search_providers'

The plugins I downloaded and instructions I followed are the links pasted in my comment #1. Also some other cover art plugin was there when I first installed Ubuntu.

  • I installed this and this and still no luck – K. Weber Dec 22 '14 at 16:46
  • Please start rhythmbox from a command line (type rhythmbox) and activate the plugin. What errors do you see? Also add to your question where you downloaded the plugin(s) from and most importantly the instructions you followed to install the plugin(s). Thanks. – fossfreedom Dec 22 '14 at 20:13
  • @fossfreedom added the info you ask for. Thanks – K. Weber Dec 22 '14 at 21:14
1

The key error message is this part:

(rhythmbox:9231): libpeas-WARNING **: Could not find loader 'python' for plugin 'coverart_search_providers'

What this means is that you are using a python 2 plugin rather than the python 3 plugin that Rhythmbox v3.x requires.

Looking at the README there is a section specifically about how to install the plugin coverart-search-providers for Rhythmbox 3.

I've narrowed down the instructions specifically for Ubuntu & derivatives for Ubuntu 14.04 and later


How to install - Rhythmbox 3.0 and later:

for debian and other debian derived distros (such as ubuntu 14.04 & Mint based on 14.04):

sudo apt-get install git gettext python3-mako python3-requests python3-gdbm python3-pil python3-lxml
rm -rf ~/.local/share/rhythmbox/plugins/coverart_search_providers
git clone https://github.com/fossfreedom/coverart-search-providers.git
cd coverart-search-providers
./install.sh

The plugin requires either python3-mutagen (v1.25 or later) or mutagenx (v1.24 or later), both of which are available from PyPi

Alternatively, from GitHub

Mutagenx is Debian packaged from the PPA:


Finally there is one more method to install this and other rhythmbox plugins - just install from PPA which will install all the prerequistites including mutagen as well:

install the package rhythmbox-plugin-coverart-search

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.